---
title: "profileStartY"
excerpt: "Extract the provided 2-dimensional sketch's profile's origin's 'y'"
layout: manual
---

Extract the provided 2-dimensional sketch's profile's origin's 'y'

value.

```js
profileStartY(sketch: Sketch) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XY')
  |> startProfileAt([5, 2], %)
  |> angledLine({ angle = -60, length = 14 }, %)
  |> angledLineToY({ angle = 30, to = profileStartY(%) }, %)
```

![Rendered example of profileStartY 0](data:image/png;base64,[encoded data, 41380 characters])


